/*
 * Copyright 2000-2017 JetBrains s.r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.intellij.openapi.application;

import com.intellij.openapi.components.ServiceManager;

/**
 * Wrapper class for accessing UUID
 *
 * @author Konstantin Bulenkov
 */
public class PermanentInstallationID {
  public static final String UNDEFINED = "undefined";

  public static PermanentInstallationID getInstance() {
    return ServiceManager.getService(PermanentInstallationID.class);
  }

  public static String get() {
    PermanentInstallationID instance = getInstance();
    if (instance != null) {
      return instance.calculateId();
    }
    return UNDEFINED;
  }

  protected String calculateId() {
    return UNDEFINED;
  }
}
