/*
 * Copyright 2000-2009 JetBrains s.r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.intellij.openapi.vcs.actions;

import com.intellij.openapi.actionSystem.ex.ActionUtil;
import com.intellij.openapi.editor.Editor;
import com.intellij.openapi.vcs.ex.LineStatusTracker;
import com.intellij.openapi.vcs.ex.Range;

public class ShowPrevChangeMarkerAction extends ShowChangeMarkerAction {
  public ShowPrevChangeMarkerAction(final Range range, final LineStatusTracker lineStatusTracker, final Editor editor) {
    super(range, lineStatusTracker, editor);
    ActionUtil.copyFrom(this, "VcsShowPrevChangeMarker");
  }

  @SuppressWarnings("unused")
  public ShowPrevChangeMarkerAction() {
    super();
  }

  protected Range extractRange(LineStatusTracker lineStatusTracker, int line, Editor editor) {
    return lineStatusTracker.getPrevRange(line);
  }
}
